

import 'package:cheminova/utils/api_urls.dart';

import '../models/product_mannual_model.dart';
import '../utils/common_api_service.dart'; // Replace with your actual common API service import

class ProductMannualService {
  Future<List<ProductManualModel>?> getProductManuals(String token) async {
    try {
      String url = ApiUrls.getProductManualUrl; // Base URL to fetch product manuals

      final response = await commonApiService<List<ProductManualModel>>(
        method: "GET",
        url: url,
        additionalHeaders: {  // Pass the token here
          'Authorization': 'Bearer $token',
        },
        fromJson: (json) {
          if (json['productManuals'] != null) {
            // Map the list of product manuals from the response
            final List<ProductManualModel> productManuals = (json['productManuals'] as List)
                .map((manualJson) => ProductManualModel.fromJson(manualJson as Map<String, dynamic>))
                .toList();
            return productManuals;
          } else {
            return [];
          }
        },
      );
      return response;
    } catch (e) {

      print(e.toString());
      return null;
    }
  }
}
